Package org.globus.ftp

# Class ChecksumAlgorithm

java.lang.Object
org.globus.ftp.ChecksumAlgorithm

public class ChecksumAlgorithm extends Object
Represents the algorithm used for checksum operation.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`argument`
`static final ChecksumAlgorithm`
`MD5`

## Constructor Summary

Constructors
Constructor
Description
`ChecksumAlgorithm(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`
`String`
`toFtpCmdArgument()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MD5

public static final ChecksumAlgorithm MD5

### argument

protected String argument

## Constructor Details

### ChecksumAlgorithm

public ChecksumAlgorithm(String name)

## Method Details

### toFtpCmdArgument

public String toFtpCmdArgument()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`